org.keycloak.models.jpa.entities

## Class FederatedIdentityEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.FederatedIdentityEntity

-     @Entity
      public class FederatedIdentityEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FederatedIdentityEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `identityProvider`
    `protected String` | `realmId`
    `protected String` | `token`
    `protected String` | `userId`
    `protected String` | `userName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedIdentityEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getIdentityProvider()`
    `String` | `getRealmId()`
    `String` | `getToken()`
    `UserEntity` | `getUser()`
    `String` | `getUserId()`
    `String` | `getUserName()`
    `int` | `hashCode()`
    `void` | `setIdentityProvider(String identityProvider)`
    `void` | `setRealmId(String realmId)`
    `void` | `setToken(String token)`
    `void` | `setUser(UserEntity user)`
    `void` | `setUserId(String userId)`
    `void` | `setUserName(String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realmId

          protected String realmId

    - #### identityProvider

          protected String identityProvider

    - #### userId

          protected String userId

    - #### userName

          protected String userName

    - #### token

          protected String token

  - ### Constructor Detail

    - #### FederatedIdentityEntity

          public FederatedIdentityEntity()

  - ### Method Detail

    - #### getUser

          public UserEntity getUser()

    - #### setUser

          public void setUser(UserEntity user)

    - #### getIdentityProvider

          public String getIdentityProvider()

    - #### setIdentityProvider

          public void setIdentityProvider(String identityProvider)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName(String userName)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### setToken

          public void setToken(String token)

    - #### getToken

          public String getToken()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.